Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

I think "non-member" and "anonymous" should be (dynamic) groups rather than roles.

It would be practical because then you could select what permissions anonymous users and non-members have on a per-project

level rather than as a whole for the entire Redmine installation.

It also makes much better sense on a conceptual level.

Related issues:

Is duplicate of Redmine - Feature #17976: Custom permissions per project for ... Closed

History

#1 - 2010-12-06 15:14 - Martin Kos

We have the same problem over here. As we are using a federated single sign-on system (shibboleth), all people from our community have a login,

so they can create issues for public projects, even if anonymous users are not allowed to create issues. but some people from outside the community

should also be able to create issues and add comments, event without a login. but we should make the decision if anonymous users are allowed to

create issues on a per-project level.

hope this feature will be added to the to-do-list :-)

#2 - 2012-02-07 01:05 - Marc Dequènes

I makes sense. This feature is really needed as you may wish to allow anonymous or non-member to open tickets on specific projects while having

visible (not private) but member-only projects. Currently you have to give more rights than necessary to achieve the former, so this a security issue.

#3 - 2012-02-26 13:36 - Andriy Lesyuk

Check my Role Shift plugin. P.S. I'm still testing it...

#4 - 2012-04-08 22:34 - Andriy Lesyuk

Finished the plugin! :)

#5 - 2012-06-10 09:01 - Stanislav German-Evtushenko

I would definitely agree. It would be nice to be able to assign Anonymous and Non-member as a different role for different project, for example:

project 1: anonymous is a reporter

project 2: anonymous is a viewer

project 3: non-member is a reporter

and so on ...

#6 - 2012-06-10 10:47 - Terence Mill

+1

#7 - 2017-06-05 05:35 - Go MAEDA

- Is duplicate of Feature #17976: Custom permissions per project for non member and anonymous users added

#8 - 2017-06-05 05:38 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate
http://projects.andriylesyuk.com/projects/role-shift
http://projects.andriylesyuk.com/projects/role-shift


Implemented by #17976 (Redmine 2.6.0).

It introduced two built-in groups named "Anonymous users" and "Non members". We can add these groups as members of a project.

#9 - 2017-06-05 05:39 - Go MAEDA

- Category set to Permissions and roles
